List ClickUp tasks in a list

gethttps://api.expiryedge.com/v1/integrations/clickup/tasks
any role60/min
Request
curl 'https://api.expiryedge.com/v1/integrations/clickup/tasks?list_id=901201010' \
  -H "Authorization: Bearer $EXPIRYEDGE_API_KEY"
Response
{
  "success": true,
  "tasks": [
    {
      "id": "86abc123",
      "name": "Renew bar membership",
      "due_date": "1791936000000",
      "url": "https://app.clickup.com/t/86abc123"
    }
  ]
}

Includes closed tasks.

Query parameters

  • list_idstringrequired
    ClickUp list id.

Returns

200
Tasks as returned by ClickUp.
  • successboolean
    Allowedtrue
  • tasksarray of objects

Errors

400
The user has no organization, the provider is not connected, validation failed, or the provider API call failed.
401
Missing, expired or invalid bearer token.
429
Too many requests for this endpoint from your IP. Wait Retry-After seconds.